#ifndef VECTOR_WINDOW_H
#define VECTOR_WINDOW_H

#include <vector>
#include "glutAdmin.h"
#include "Geometry.h"

/// Eine Klasse zur Darstellung eines Linienzuges
class VectorWindow : public GlutWindow
{
public:

   /// die Eckpunkte des Linienzuges
   vector<Point> C;
   /// das kleinste achsenorientierte Rechteck, das alle Eckpunkte einschliet
   BoundingBox   bb;

   /** kreiert ein Fenster namens title mit der Breite width und Hhe height
       an der Bildschirmposition (initx,inity)
   */
   VectorWindow(GlutAdmin &admin,int width,int height,int initX,int initY,char *title);
   ///
   ~VectorWindow();

   ///
   void DisplayFunc();
   ///
   void ReshapeFunc(int newwidth,int newheight);   
   ///
   void MenuFunc(int value);

// void MotionFunc(int,int);
// void MouseFunc(int,int,int,int);
};

#endif
