#include <cstdlib>
#include <cassert>
#include <algorithm>
#include "VectorWindow.h"

///
int 
main(int argc, char** argv)
{
  GlutAdmin  glutAdmin;

  VectorWindow vecwin(glutAdmin,400,400,200,100,"Vector");

  assert(argc == 2);
  ifstream F(argv[1]);

  istream_iterator<Point>  start(F);
  istream_iterator<Point>  ende;

  copy( start, ende, back_inserter(vecwin.C) );
//copy( vecwin.C.begin(), vecwin.C.end(), ostream_iterator<Point>( cout ));
  vecwin.bb = for_each( vecwin.C.begin(), vecwin.C.end(), BoundingBox());
//cout << bb;

  glutAdmin.MainLoop();

  return EXIT_SUCCESS;
}

